// ***************************************
// ***************************************
// ****  ClassicCTF v2.0 Shaders  ********
// ****  Organized/Created by DD  ********
// ***************************************
// ***************************************




// ***************************************
// ************    Skies   ***************
// ***************************************
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/classic2_0/sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/classic2_0/sky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 1 1 32  90 90
	q3map_surfacelight 55
      skyparms env/space1 230 -
       
      {
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.010 0.0022
		tcMod scale 3 2
	}
}

textures/classic2_0/sky3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 1 1 32  90 90
	q3map_surfacelight 55
      skyparms env/space1 230 -
      
      {
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.010 0.0022
		tcMod scale 3 2
	}
}

textures/classic2_0/sky4
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 200
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/classic2_0/sky5
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.003 0.008
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.012
		tcMod scale 3 3
	}
}

textures/classic2_0/mars_skybox
// by Sock - 1st August 2000
{
	qer_editorimage textures/classic2_0/mars_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 10
	surfaceparm sky
	q3map_sun 1 1 1 20 90 45
	skyparms env/classic2_0/mars - -
}

// ***************************************
// **********   Miscellaneous   **********
// ***************************************

textures/classic2_0/redmetal2b
{
	
	q3map_surfacelight 100
	q3map_lightimage textures/classic2_0/redmetal2bglow.tga


	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/classic2_0/redmetal2b.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}


	{
		map textures/classic2_0/redmetal2bglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 .2
	}
}

textures/classic2_0/tv_blue
{
	q3map_lightimage textures/base_wall/classic2_0/tv_blue.tga
        q3map_surfacelight 100


	{
		map textures/classic2_0/tv_blue.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/classic2_0/tv_red
{
	q3map_lightimage textures/base_wall/classic2_0/tv_red.tga
        q3map_surfacelight 100


	{
		map textures/classic2_0/tv_red.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/classic2_0/shinymetaldoor_cctf
{
	
	qer_editorimage textures/classic2_0/shinymetaldoor_cctf.tga

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/classic2_0/shinymetaldoor_cctf.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/classic2_0/quake3sign_cctf.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/classic2_0/pipes2-cctf
{
	
       	
	surfaceparm alphashadow
	cull none
       
	{
		map textures/classic2_0/pipes2-cctf.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/classic2_0/q1teleporter
{
	qer_editorimage textures/classic2_0/q1teleporter.tga
	q3map_lightimage textures/classic2_0/q1teleporter.tga
	q3map_surfacelight 700
	surfaceparm noimpact
	surfaceparm nomarks
//	surfaceparm nolightmap
//	tesssize 128
	cull disable
	{
		map textures/classic2_0/q1teleporter.tga
//		blendfunc GL_dst_color gl_one
		rgbGen identity
		tcMod stretch sin 1 0.1 1 0.6 
		tcMod turb 1 0.5 0 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbGen identity
		tcMod turb 1 0.5 0.3 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbGen identity
		tcMod turb 1 0.5 0.8 0.1
	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//	}
}

textures/classic2_0/slime_50

	{
	
		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 50
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/slime7c.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/liquids/slime7.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		

	}

textures/classic2_0/manse_water
	
      {

		qer_editorimage textures/classic2_0/pool3d_5b.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 50

		cull disable
		tesssize 64
		deformVertexes wave 100 sin 1 1 1 .1
	
		{ 
			map textures/liquids/pool3d_5c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_3c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125	
			rgbgen identity
		}

	}

textures/classic2_0/cctf_banner
{
	qer_editorimage textures/classic2_0/cctf_banner.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2

	{
		map textures/classic2_0/cctf_banner.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
		rgbGen identity
	}
}

textures/classic2_0/bounce_neutral_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/ctf_unified/bounce_fx.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/bounce_blue_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/bounce_red_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/t_wll_fnctrm
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/classic2_0/t_wll_fnctrm.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/classic2_0/t_wll_fnctrm_sign
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/classic2_0/t_wll_fnctrm_sign.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/classic2_0/t_wll_fnctrm_sign2
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/classic2_0/t_wll_fnctrm_sign2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/classic2_0/borderlight_300
{
	qer_editorimage textures/classic2_0/borderlight_b.tga
	q3map_lightimage textures/classic2_0/borderlight_glow.tga
	q3map_surfacelight 300	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/classic2_0/borderlight_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/classic2_0/borderlight_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/swirly_r
{
		qer_editorimage textures/classic2_0/console_r.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_r.tga
		cull none
	{
		clampmap textures/sfx/console02.tga
		tcMod rotate -200
		blendFunc GL_ONE GL_ONE
	}
	{
		clampmap textures/classic2_0/console_r.tga
		tcMod rotate 30
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/swirly_b
{
		qer_editorimage textures/classic2_0/console_b.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_b.tga
		cull none
	{
		clampmap textures/sfx/console02.tga
		tcMod rotate -200
		blendFunc GL_ONE GL_ONE
	}
	{
		clampmap textures/classic2_0/console_b.tga
		tcMod rotate 30
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/proto_blueflashing
{
	q3map_lightimage textures/classic2_0/proto_lightblue.tga
	qer_editorimage textures/classic2_0/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/classic2_0/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/classic2_0/proto_lightblue.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/classic2_0/border11cx_r
{
	qer_editorimage textures/classic2_0/border11c_x.tga
	q3map_lightimage textures/base_trim/border11c_light.tga
	q3map_surfacelight 200
	
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}


	{
		map textures/classic2_0/border11c_pulse1b_r.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0


	}

	
}

textures/classic2_0/border11cx_b
{
	qer_editorimage textures/classic2_0/border11c_x.tga
	q3map_lightimage textures/base_trim/border11c_light.tga
	q3map_surfacelight 200
	
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}


	{
		map textures/base_trim/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0


	}

	
}

textures/classic2_0/button_blue
{
	qer_editorimage textures/classic2_0/shootme_glowb.tga
	q3map_lightimage textures/classic2_0/shootme_glowb.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_support/metal3_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/classic2_0/shootme_glowb.tga
		rgbGen wave sin 0.5 1.0 0 .3
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/clear_ripple3
	{
		qer_editorimage textures/classic2_0/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/classic2_0/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/classic2_0/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/classic2_0/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/classic2_0/ironcrossltblue_3000
{
	qer_editorimage textures/classic2_0/ironcrossltblue.tga
	q3map_lightimage textures/classic2_0/ironcrossltblue.blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/classic2_0/ironcrossltblue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/classic2_0/ironcrossltblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


   













